%define anolis_release 1

Name:          zenity
Version:       4.0.1
Release:       %{anolis_release}%{?dist}
Summary:       Display dialog boxes from shell scripts

License:       LGPLv2+
URL:           https://wiki.gnome.org/Projects/Zenity
Source:        https://download.gnome.org/sources/%{name}/4.0/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(libadwaita-1) >= 1.2
BuildRequires: /usr/bin/help2man
BuildRequires: desktop-file-utils
BuildRequires: gcc
BuildRequires: gettext
BuildRequires: itstool
BuildRequires: meson
BuildRequires: which
BuildRequires: xwayland-run
BuildRequires: mutter
BuildRequires: mesa-dri-drivers
BuildRequires: mesa-libEGL

%description
Zenity lets you display Gtk+ dialog boxes from the command line and through
shell scripts. It is similar to gdialog, but is intended to be saner. It comes
from the same family as dialog, Xdialog, and cdialog.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description  doc
Doc pages for %{name}.

%prep
%autosetup -p1


%build
%meson
# Man page generation requires running the in-tree zenity command.
%{shrink:xwfb-run -c mutter -w 10 -- %meson_build}


%install
%meson_install

# we don't want a perl dependency just for this
rm -f $RPM_BUILD_ROOT%{_bindir}/gdialog

%find_lang zenity --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Zenity.desktop


%files -f zenity.lang
%license COPYING
%{_bindir}/zenity
%{_datadir}/applications/org.gnome.Zenity.desktop
%{_datadir}/icons/hicolor/48*48/apps/zenity.png
%{_mandir}/man1/zenity.1*

%files doc
%doc AUTHORS NEWS README.md

%changelog
* Fri Feb 28 2025 Chang Gao <gc-taifu@linux.alibaba.com> -  4.0.1-1
- Update to 4.0.1
- Update build params
- Add check section

* Tue Dec 19 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.44.1-2
- rebuild

* Sat Apr 29 2023 Funda Wang <fundawang@yeah.net> - 3.44.1-1
- New version 3.44.1

* Sun Jan 29 2023 Funda Wang <fundawang@yeah.net> - 3.44.0-1
- New version 3.44.0

* Wed Jan 25 2023 Funda Wang <fundawang@yeah.net> - 3.42.1-1
- New version 3.42.1

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.42.0-1
- init from upstream
